# Bootstrap script for Puppet 
# LXF issue 186

sudo yum install puppet-server -y 
sudo iptables -F
sudo sudo cat >> /etc/puppet/puppet.conf<<EOF
[master]
dns_alt_names = puppet,puppet.localdomain
EOF
sudo sudo cat > /etc/resolv.conf<<EOF
nameserver 192.168.0.1
EOF
sudo sudo cat > /etc/hosts<<EOF
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6

192.168.11.3	puppet.localdomain puppet 
192.168.11.4    control.localdomain control
192.168.11.5    storage.localdomain storage
192.168.11.6    network.localdomain network
192.168.11.7    compute.localdomain compute
EOF
sudo cp /vagrant/site.pp /etc/puppet/manifests/site.pp
sudo puppet master --verbose
sleep 5
sudo puppet module install puppetlabs-openstack
sudo cp /vagrant/hiera.yaml /etc/puppet
sudo chown root:root /etc/puppet/hiera.yaml
sudo chmod 644 /etc/puppet/hiera.yaml
sudo mkdir -p /etc/puppet/hieradata
sudo chmod -R a+r /etc/puppet
sudo cp /vagrant/openstack.yaml /etc/puppet/hieradata/openstack.yaml
sudo service puppetmaster restart
